Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154136 - KDE screensavers appear in GNOME menus
Summary: KDE screensavers appear in GNOME menus
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2005-04-07 18:20 UTC by Bill Nottingham
Modified: 2014-03-17 02:53 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-25 14:56:07 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2005-04-07 18:20:15 UTC
Under System Tools -> ScreenSavers the KDE screensavers appear. Presumably they
should have OnlyShowIn, etc.

redhat-menus-3.7.1-9
kdebase-3.4.0-2

Comment 1 Ngo Than 2005-04-07 20:37:27 UTC
it seems a bug in gnome-menus. If you take a look at the
kde-system-screensavers.directory, it includes NoDisplay=true!
The submenue ScreenSavers should not be showed! it works fine under KDE

Comment 2 Mark McLoughlin 2005-04-15 10:47:32 UTC
This turns out to be that kde-essential.menu and kde-multimedia-music.menu need
to have <Name>Applications</Name> in the root <Menu>, otherwise they're not
valid .menu files and gnome-menus won't know anything about
kde-system-screensavers.directory

Comment 3 Ray Strode [halfline] 2005-04-15 14:53:43 UTC
This was worked around by taking <KDELegacyDirs/> out of applications.menu. 
Than,  that shouldn't break KDE because KDE uses kde-applications.menu instead, yea?

Comment 4 Mark McLoughlin 2005-04-15 15:02:10 UTC
Ray: well that's one sure way of making sure we don't get KDE stuff in the menus
alright :-)

FWIW, if we kepth <KDELegacyDirs/>, and just fixed kde-essential.menu and
kde-multimedia.menu, we would be left with:

Accessories/    kde-kmousetool.desktop  
Accessories/    kde-kmouth.desktop      
Edutainment/Miscellaneous/      kde-kwordquiz.desktop   
Graphics/       kde-kmag.desktop        
Internet/       kde-akregator.desktop   


Comment 5 Ngo Than 2005-04-25 14:56:07 UTC
comment#3: yes, kde now uses kde-applications.menu.

it's fixed in current redhat-menus



Note You need to log in before you can comment on or make changes to this bug.